Name:          gnubg
License:       GPLv3+
Group:         Games/Boards
Summary:       A backgammon game and analyser
Version:       1.06.001
Release:       %mkrel 1
Source0:       http://files.gnubg.org/media/sources/gnubg-release-%{version}-sources.tar.xz
Source1:       gnubg.desktop
URL:           http://www.gnubg.org
Requires(post): info-install
Requires(preun): info-install
#------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: texinfo
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkglext-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}x11-devel
#------------------------------------------
Requires:      fonts-ttf-dejavu


%description
GNU Backgammon is software for playing and analysing backgammon
positions, games and matches. It's based on a neural network. Although it
already plays at a very high level, it's still work in progress. You may
play GNU Backgammon using the command line or a graphical interface.

%prep
%setup -q

%build
SIMD=no
%ifarch x86_64
  # SSE2 instructions should be safe to use on all x86_64 CPUs 
  SIMD=sse2
%endif
%configure2_5x --with-python --enable-simd=$SIMD --with-gtk --with-board3d
%make

%install
%makeinstall
install -Dpm 644 gnubg.weights %{buildroot}%{_datadir}/gnubg/gnubg.weights
cp -rp textures* %{buildroot}%{_datadir}/gnubg/
rm -f %{buildroot}%{_datadir}/gnubg/textures/Makefile{,.in,.am}
install -Dpm 644 doc/gnubg.info %{buildroot}%{_infodir}/gnubg.info
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
%find_lang %{name}

# install icons
pushd pixmaps/icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor
cp -r hicolor/* %{buildroot}%{_iconsdir}/hicolor
popd

pushd pixmaps/icons/hicolor/16x16/apps/scalable
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m644 %{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps
popd

pushd pixmaps/16x16/actions
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/actions
install -m644 * %{buildroot}%{_iconsdir}/hicolor/16x16/actions
popd

pushd pixmaps/24x24/actions
mkdir -p %{buildroot}%{_iconsdir}/hicolor/24x24/actions
install -m644 * %{buildroot}%{_iconsdir}/hicolor/24x24/actions
popd

rm -rf %{buildroot}/%{_iconsdir}/hicolor/*/apps/scalable

# don't use the bundled fonts
rm -f %{buildroot}%{_datadir}/gnubg/fonts/*.ttf
rm -f %{buildroot}%{_datadir}/gnubg/fonts/COPYRIGHT.TXT.gz
ln -s ../../fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/gnubg/fonts/Vera.ttf
ln -s ../../fonts/TTF/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraBd.ttf 
ln -s ../../fonts/TTF/dejavu/DejaVuSerif-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraSeBd.ttf 

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/bearoffdump
%{_bindir}/gnubg
%{_bindir}/makebearoff
%{_bindir}/makehyper
%{_bindir}/makeweights
%{_infodir}/gnubg.info*
%dir %{_datadir}/gnubg
%{_datadir}/gnubg/met
%{_datadir}/gnubg/boards.xml
%{_datadir}/gnubg/gnubg_os0.bd
%{_datadir}/gnubg/gnubg.weights
%{_datadir}/gnubg/gnubg.css
%{_datadir}/gnubg/sounds
%{_datadir}/gnubg/textures.txt
%{_datadir}/gnubg/textures
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnubg/fonts/
%{_datadir}/gnubg/gnubg.gtkrc
%{_datadir}/gnubg/gnubg.wd
%{_datadir}/gnubg/pixmaps/gnubg-big.png
%{_datadir}/gnubg/scripts/
%{_datadir}/gnubg/flags/
%{_datadir}/gnubg/gnubg.sql
%{_datadir}/gnubg/gnubg_ts0.bd
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/actions/*.png
%{_mandir}/man6/gnubg.6*
%{_mandir}/man6/make*.6*
%{_mandir}/man6/bearoffdump.6*

%changelog
* Wed Nov 21 2018 adrianomorselli <adrianomorselli> 1.0.6.001-1uplos2018
- update
